# Class CIM_SCSIController
extends CIM_Controller

Note: The use of this class is deprecated in lieu of SCSIProtocolController. The latter reflects the protocol- related issues of SCSI interfaces, because these are not bus master-type Controllers." Deprecated description: Capabilities and management of the SCSIController.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_LogicalDevice
|
+--CIM_Controller
|
+--CIM_SCSIController

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_SCSIProtocolController
Description | string | Note: The use of this class is deprecated in lieu of SCSIProtocolController. The latter reflects the protocol- related issues of SCSI interfaces, because these are not bus master-type Controllers." Deprecated description: Capabilities and management of the SCSIController.
UMLPackagePath | string | CIM::Device::Controller
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ControllerTimeouts | uint32 |
Counter | boolean | true
Deprecated | string | No value
Description | string | Note: The use of this method is deprecated. Deprecated description: Number of SCSIController timeouts that have occurred since the TimeOfLastReset.
MaxDataWidth | uint32 |
Deprecated | string | No value
Description | string | Note: The use of this method is deprecated. Deprecated description: Maximum data width (in bits) supported by the SCSIController.
MappingStrings | string | MIF.DMTF|Bus Port|004.7
PUnit | string | bit
Units | string | Bits
MaxTransferRate | uint64 |
Deprecated | string | No value
Description | string | Note: The use of this method is deprecated. Deprecated description: Maximum transfer rate (in Bits per Second) supported by the SCSIController.
MappingStrings | string | MIF.DMTF|Bus Port|004.8
PUnit | string | bit / second
Units | string | Bits per Second
ProtectionManagement | uint16 |
Deprecated | string | No value
Description | string | Note: The use of this method is deprecated. Deprecated description: An integer enumeration that indicates whether or not the SCSIController provides redundancy or protection against device failures.
MappingStrings | string | MIF.DMTF|Storage Controller|001.3
ValueMap | string | 1, 2, 3, 4, 5, 6
Values | string | Other, Unknown, Unprotected, Protected, Protected through SCC (SCSI-3 Controller Command), Protected through SCC-2 (SCSI-3 Controller Command)
SignalCapabilities | uint16[] |
Deprecated | string | No value
Description | string | Note: The use of this method is deprecated. Deprecated description: Signal capabilities that can be supported by the SCSIController. For example, the Controller can support "Single Ended" and "Differential". In this case, the values 3 and 4 would be written to the Signal Capabilities array.
ModelCorrespondence | string | CIM_SCSIInterface.SCSISignal
ValueMap | string | 1, 2, 3, 4, 5, 6
Values | string | Other, Unknown, Single Ended, Differential, Low Voltage Differential, Optical

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Availability | uint16 | CIM_LogicalDevice
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_LogicalDevice
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DeviceID | string | CIM_LogicalDevice
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
ErrorCleared | boolean | CIM_LogicalDevice
ErrorDescription | string | CIM_LogicalDevice
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
LastErrorCode | uint32 | CIM_LogicalDevice
MaxNumberControlled | uint32 | CIM_Controller
MaxQuiesceTime | uint64 | CIM_LogicalDevice
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PowerManagementSupported | boolean | CIM_LogicalDevice
PowerOnHours | uint64 | CIM_LogicalDevice
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProtocolDescription | string | CIM_Controller
ProtocolSupported | uint16 | CIM_Controller
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
StatusInfo | uint16 | CIM_LogicalDevice
SystemCreationClassName | string | CIM_LogicalDevice
SystemName | string | CIM_LogicalDevice
TimeOfLastReset | datetime | CIM_Controller
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TotalPowerOnHours | uint64 | CIM_LogicalDevice
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AdditionalAvailability | uint16[] | CIM_LogicalDevice
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
IdentifyingDescriptions | string[] | CIM_LogicalDevice
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_LogicalDevice
PowerManagementCapabilities | uint16[] | CIM_LogicalDevice
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
EnableDevice | uint32 | CIM_LogicalDevice
OnlineDevice | uint32 | CIM_LogicalDevice
QuiesceDevice | uint32 | CIM_LogicalDevice
RequestStateChange | uint32 | CIM_EnabledLogicalElement
Reset | uint32 | CIM_LogicalDevice
RestoreProperties | uint32 | CIM_LogicalDevice
SaveProperties | uint32 | CIM_LogicalDevice
SetPowerState | uint32 | CIM_LogicalDevice